<?php
    session_start();
    
    $PATH_TO_USER_PICS = "/var/www/user_pics/";
    $PIPE              = "/tmp/crane/dump";
    $LINK_TO_PICS      = "user_pics/";
    $CAM_SPEED         = 1;  // msecs between pics
    $PLAY_FIELD        = "playfield/playfield.jpg";
    $MAX_PICS          = 10;
    $ID_COUNT_FILE     = "id_count.txt";
    
    // Take playfield pic
    system("vgrabbj -f $PLAY_FIELD");

    if($_POST['submit'] && !isset($_SESSION['has_snatched']))
    {
        // X, Y
        $x = (int)(($_POST['x'] && $_POST['x']<=100 && $_POST['x']>=0) ? $_POST['x'] : 0);
        $y = (int)(($_POST['y'] && $_POST['y']<=100 && $_POST['y']>=0) ? $_POST['y'] : 0);
        
        if($x<20)
          $x = 20;
        if($y<20)
          $y = 20;
        
        // Command
        $cmd = "-c $x,$y";
        
        // IP
        $ip = $_SERVER['REMOTE_ADDR'];
        
        // User name
        $user = ($_POST['user']) ? $_POST['user'] : $ip;
        if(strlen($user)>128)
          $user = substr($user, 0, 128);
       
        // Make unique directory
        $sess_id = session_id();
        $dir = $PATH_TO_USER_PICS . $sess_id;
        mkdir($dir);
        $cmd .= " -p $dir";

        // Get the number for this trial and increment
        $logc = fopen($ID_COUNT_FILE, "r");
        $id   = (int)fgets($logc);
        if(!$id)
          $id = 1;
        else 
          $id++;
        fclose($logc);
        $logc = fopen($ID_COUNT_FILE, "w");
        fputs($logc, $id);
        fclose($logc);       

        // Start cam with crane
        take_pics($id, $user, $ip, $cmd, $dir);

        //$_SESSION['has_snatched'] = 0;
        $_SESSION['user_pic_dir'] = "$LINK_TO_PICS$sess_id";

        header("Location: snatched.php");
    }

    function take_pics($id, $user, $ip, $cmd, $path)
    {
        global $PIPE, $MAX_PICS;
        $i = 0;
        $file = $i;
        system("echo \"$id, $user, $ip, $cmd\" >> $PIPE");
        
        //for($i=0; $i<$MAX_PICS; $i++)
        //  system("vgrabbj -f $path/$i.jpg");
     }
?>

<html>
<head>
<link rel="stylesheet" type="text/css" href="style.css" />
<title>:: Booty $natch :: -- Grab Some</title>
</head>

<body>
    <div class="all">
    
    <div class="logo">
        <b class="medium">Booty $natch<br \>BETA</b><br \>
    </div>
    
    <div class="main">
        <div class="text"><p>
            This is Booty $natch... go and grab some <br />
            
            <?php 
                if(isset($_SESSION['has_snatched']))
                    echo "<b> You have already made a grab come back later</b>";
                else
                {
                    echo "<img src=\"$PLAY_FIELD\" />";
                    echo "<form method=\"post\" action=\"index.php\">";
                    echo "<p>User: <input type=\"text\" size=\"9\" name=\"user\" />";
                    echo "<p>X: <input type=\"text\" size=\"3\" name=\"x\" />";
                    echo "<p>Y: <input type=\"text\" size=\"3\" name=\"y\" />";
                    echo "<p><input type=\"submit\" value=\"Snatch\" name=\"submit\" />";
                    echo "</form>";
                }
           ?>
        </div>
    
    </div> 
</body>
</html>
