#include <stdio.h>
#include <unistd.h>
#include <asm/io.h>

#define PORT    0x378
#define PORT_IN PORT+1
#define BLING 63
#define TOY 127

int main(
    int    argc,
    char **argv)
{
    unsigned int ret;
    
    if(ioperm(PORT_IN, 1, 1))
    {
        printf("Error connecting to port.  Check your permissions.\n");
        _Exit(1);
    }
    
    while(1)
    {
        switch((unsigned int)inb(PORT_IN))
        {
            case BLING:
                printf("Give me more\n");
                sleep(1);
                break;

            case TOY:
                printf("Toy\n");
                sleep(1);
                break;
        }
    }
    
    return 0;
}

