#!/bin/sh
#
# videocapture.sh (SessionID) (emailaddress) (md5hashofemail)
#
# $1 This script should be called with a parameter of the session as the first varible
# $2 The email address is the second varible passed for the email
# $3 The md5 hash of their email address
#
# Output directory
OutputDirectory="/var/www/user_pics"
#

echo "Session:${1} File:${OutputDirectory}/${1}/grab.avi Mail:${2} MD5:${3}" >> /var/log/crane/videocapture.log
mkdir ${OutputDirectory}/${1}
# -d = debug
# -r = framerate
# -t = time
streamer -d -r 3 -t 0:10 -o ${OutputDirectory}/${1}/grab.avi -f jpeg

cd ${OutputDirectory}/${1}
ln -s ../../final.html index.html

su - mrklaw -c "mail -s \"RockTheSkillCrane.com - Your play has completed\" ${2} <<-END
   Hello,

     Recently you kicked off a goodie grab at RockTheSkillCrane.com.

     We are happy to let you know the grab is complete, and a video is availible.

     You may see the video at http://www.RockTheSkillCrane.com/user_pics/${1}

     We encourage you to invite others to play the game using a code based on your play.
     The code to give out is ${3}. Feel free to send it to others. We do ask that you do
     not post this on message boards, forums, or blogs. We want it to spread by word of mouth
     and control the popularity.

     Thanks!

END
"
